package meerkat.bulletinboard;

import com.google.protobuf.ByteString;
import meerkat.protobuf.BulletinBoardAPI.BatchData;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 17-Jan-16.
 * Used to store the complete data required for sending a batch data list inside a single object
 */
public class BatchDataContainer {

    public final byte[] signerId;
    public final int batchId;
    public final List<BatchData> batchDataList;
    public final int startPosition;

    public BatchDataContainer(byte[] signerId, int batchId, List<BatchData> batchDataList, int startPosition) {
        this.signerId = signerId;
        this.batchId = batchId;
        this.batchDataList = batchDataList;
        this.startPosition = startPosition;
    }
}
